Last Comment Bug 803914 - Port |Bug 791305 Use libjpeg's color conversion code instead of our own| to comm-central
: Port |Bug 791305 Use libjpeg's color conversion code instead of our own| to c...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
Mentors:
Depends on: 791305
Blocks: 803854
  Show dependency treegraph
 
Reported: 2012-10-20 15:34 PDT by Ian Neal
Modified: 2012-10-28 16:03 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Use conversion code [Checked in: Comment 4] (1006 bytes, patch)
2012-10-20 15:34 PDT, Ian Neal
bugspam.Callek: review+
standard8: approval‑comm‑aurora-
Details | Diff | Review

Description Ian Neal 2012-10-20 15:34:58 PDT
Created attachment 673634 [details] [diff] [review]
Use conversion code [Checked in: Comment 4]
Comment 1 Justin Wood (:Callek) 2012-10-27 22:20:56 PDT
Comment on attachment 673634 [details] [diff] [review]
Use conversion code [Checked in: Comment 4]

Review of attachment 673634 [details] [diff] [review]:
-----------------------------------------------------------------

Approval Request: Worthy of aurora (relevant m-c configure change landed there)

would a+ myself if I technically could
Comment 2 Mark Banner (:standard8) 2012-10-28 00:54:09 PDT
Comment on attachment 673634 [details] [diff] [review]
Use conversion code [Checked in: Comment 4]

I see no reason to backport this. Firstly, m-c's configure will pick up the missing extension, secondly it doesn't actually change anything for the comm-central build and it isn't broken for anyone. So unless I've missed anything, I think it would be an unnecessary backport (we don't generally backport bugs unless they are actually needed to fix an issue).
Comment 3 Justin Wood (:Callek) 2012-10-28 10:44:45 PDT
(In reply to Mark Banner (:standard8) from comment #2)
> Comment on attachment 673634 [details] [diff] [review]
> Use conversion code
> 
> I see no reason to backport this. 

I do, but no severe reason, sure. (note that, I didn't know you/TB cared beyond community for aurora anymore, and that SeaMonkey would/should have been in charge of approvals here, outside of the bugzilla limits in place now.)

> Firstly, m-c's configure will pick up the
> missing extension, 

Yes, but here it will allow us to error out much earlier than having to do lots of try compiles/etc.

> secondly it doesn't actually change anything for the
> comm-central build and it isn't broken for anyone.

It shouldn't cause broken behavior by missing in c-c, but it is used by http://mxr.mozilla.org/comm-central/source/config/config.mk#333 when you take into account that the MOZ_JPEG flag there is set dependant on if we use in-tree or native.

> So unless I've missed
> anything, I think it would be an unnecessary backport (we don't generally
> backport bugs unless they are actually needed to fix an issue).

I'd argue that if it makes linux distros trying to compile notice an issue faster, with no risk to breaking anything else, thats a win. Granted I wouldn't backport this to beta if it missed the aurora train, but for aurora I think we have a good low-risk win here.
Comment 4 Ian Neal 2012-10-28 16:02:29 PDT
Comment on attachment 673634 [details] [diff] [review]
Use conversion code [Checked in: Comment 4]

http://hg.mozilla.org/comm-central/rev/2f982f997c22

Note You need to log in before you can comment on or make changes to this bug.